
echo 'copy files ...'
mkdir -p /usr/local/bin/
mkdir -p /usr/local/etc/
mkdir -p /var/redis/
cp ./redis-* /usr/local/bin/
cp ./redis.conf /usr/local/etc/
cp ./redis /etc/rc.d/init.d/
cp ./del_status_expire.lua /usr/local/etc/
cp ./expired_status_clear_task.sh /usr/local/etc/

echo 'grant authority ...'
chmod +x /usr/local/bin/redis-*
chmod +x /usr/local/etc/redis.conf
chmod +x /etc/rc.d/init.d/redis

echo 'add to system control, start auto when system startup ...'
chkconfig --add redis
chkconfig --level 345 redis on
chkconfig --list redis

echo 'install redis ok!'
echo 'redis Usage: /etc/rc.d/init.d/redis {start|stop|restart|status|help}'

echo 'install expired status clean script ...'
echo "0 0 * * * /bin/bash /usr/local/etc/expired_status_clear_task.sh" > /var/spool/cron/$(whoami)
service crond restart
echo 'install expired status clean script ok!'
echo 'show crontab list:'
echo "$(crontab -l)"
